Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties
Cloo.ComputeEventList Class Reference

Represents a list of OpenCL generated or user created events. More...

List of all members.

## Public Member Functions
| ComputeEventList ()
| Creates an empty ComputeEventList.
| ComputeEventList (IList< ComputeEventBase > events)
| Creates a new ComputeEventList from an existing list of ComputeEventBases.
void | Wait ()
| Waits on the host thread for the ComputeEventBases in the ComputeEventList to complete.
int | IndexOf (ComputeEventBase item)
void | Insert (int index, ComputeEventBase item)
void | RemoveAt (int index)
void | Add (ComputeEventBase item)
void | Clear ()
bool | Contains (ComputeEventBase item)
void | CopyTo (ComputeEventBase[] array, int arrayIndex)
bool | Remove (ComputeEventBase item)
IEnumerator< ComputeEventBase > | GetEnumerator ()
## Static Public Member Functions
static void | Wait (ICollection< ComputeEventBase > events)
| Waits on the host thread for the specified events to complete.
## Properties
ComputeEventBase | Last`[get]`
| Gets the last ComputeEventBase on the list.
ComputeEventBase | this[int index]`[get, set]`
int | Count`[get]`
bool | IsReadOnly`[get]`

## Detailed Description

Represents a list of OpenCL generated or user created events.

See also:
  ComputeCommandQueue

## Constructor & Destructor Documentation

Cloo.ComputeEventList.ComputeEventList | ( |  | ) |

Creates an empty ComputeEventList.

Cloo.ComputeEventList.ComputeEventList | ( | IList< ComputeEventBase > | events | ) |

Creates a new ComputeEventList from an existing list of ComputeEventBases.

Parameters:

  events | A list of ComputeEventBases.

## Member Function Documentation

void Cloo.ComputeEventList.Add | ( | ComputeEventBase | item | ) |

Parameters:

  item |

void Cloo.ComputeEventList.Clear | ( |  | ) |

bool Cloo.ComputeEventList.Contains | ( | ComputeEventBase | item | ) |

Parameters:

  item |

Returns:

void Cloo.ComputeEventList.CopyTo | ( | ComputeEventBase[] | array,
|  | int | arrayIndex
| ) |  |

Parameters:

  array |
  arrayIndex |

IEnumerator<ComputeEventBase> Cloo.ComputeEventList.GetEnumerator | ( |  | ) |

Returns:

int Cloo.ComputeEventList.IndexOf | ( | ComputeEventBase | item | ) |

Parameters:

  item |

Returns:

void Cloo.ComputeEventList.Insert | ( | int | index,
|  | ComputeEventBase | item
| ) |  |

Parameters:

  index |
  item |

bool Cloo.ComputeEventList.Remove | ( | ComputeEventBase | item | ) |

Parameters:

  item |

Returns:

void Cloo.ComputeEventList.RemoveAt | ( | int | index | ) |

Parameters:

  index |

static void Cloo.ComputeEventList.Wait | ( | ICollection< ComputeEventBase > | events | ) | `[static]`

Waits on the host thread for the specified events to complete.

Parameters:

  events | The events to be waited for completition.

void Cloo.ComputeEventList.Wait | ( |  | ) |

Waits on the host thread for the ComputeEventBases in the ComputeEventList to complete.

## Property Documentation

int Cloo.ComputeEventList.Count`[get]`

bool Cloo.ComputeEventList.IsReadOnly`[get]`

ComputeEventBase Cloo.ComputeEventList.Last`[get]`

Gets the last ComputeEventBase on the list.

The last ComputeEventBase on the list.

ComputeEventBase Cloo.ComputeEventList.this[int index]`[get, set]`

Parameters:

  index |

Returns:

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeEventList.cs